org.apache.hive.jdbc

## Class JdbcColumn

- java.lang.Object
- - org.apache.hive.jdbc.JdbcColumn

    public class JdbcColumn
    extends Object

Column metadata.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getColumnName()`
`String` `getComment()`
`Integer` `getNumPrecRadix()`
`int` `getOrdinalPos()`
`String` `getTableCatalog()`
`String` `getTableName()`
`String` `getType()`
`static int` `hiveTypeToSqlType(String type)`
`static int` `hiveTypeToSqlType(org.apache.hadoop.hive.serde2.thrift.Type hiveType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getColumnName

    public String getColumnName()

#### getTableName

    public String getTableName()

#### getTableCatalog

    public String getTableCatalog()

#### getType

    public String getType()

#### hiveTypeToSqlType

    public static int hiveTypeToSqlType(org.apache.hadoop.hive.serde2.thrift.Type hiveType)
                                 throws SQLException

Throws:
  `SQLException`

#### hiveTypeToSqlType

    public static int hiveTypeToSqlType(String type)
                                 throws SQLException

Throws:
  `SQLException`

#### getNumPrecRadix

    public Integer getNumPrecRadix()

#### getComment

    public String getComment()

#### getOrdinalPos

    public int getOrdinalPos()